aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/pmacct
diff options
context:
space:
mode:
authorDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
committerDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
commit709c4d66e0b107ca606941b988bad717c0b45d9b (patch)
tree37ee08b1eb308f3b2b6426d5793545c38396b838 /recipes/pmacct
parentfa6cd5a3b993f16c27de4ff82b42684516d433ba (diff)
downloadopenembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.tar.gz
openembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.tar.bz2
openembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.zip
rename packages/ to recipes/ per earlier agreement
See links below for more details: http://thread.gmane.org/gmane.comp.handhelds.openembedded/21326 http://thread.gmane.org/gmane.comp.handhelds.openembedded/21816 Signed-off-by: Denys Dmytriyenko <denis@denix.org> Acked-by: Mike Westerhof <mwester@dls.net> Acked-by: Philip Balister <philip@balister.org> Acked-by: Khem Raj <raj.khem@gmail.com> Acked-by: Marcin Juszkiewicz <hrw@openembedded.org> Acked-by: Koen Kooi <koen@openembedded.org> Acked-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
Diffstat (limited to 'recipes/pmacct')
-rw-r--r--recipes/pmacct/files/pmacct.conf.eth011
-rw-r--r--recipes/pmacct/files/pmacct.init39
-rw-r--r--recipes/pmacct/pmacct_0.7.9.bb28
3 files changed, 78 insertions, 0 deletions
diff --git a/recipes/pmacct/files/pmacct.conf.eth0 b/recipes/pmacct/files/pmacct.conf.eth0
new file mode 100644
index 0000000000..12e00ebe1c
--- /dev/null
+++ b/recipes/pmacct/files/pmacct.conf.eth0
@@ -0,0 +1,11 @@
+!
+! pmacctd configuration for eth0
+!
+promisc: false
+interface: eth0
+daemonize: true
+aggregate[in]: dst_host
+aggregate[out]: src_host
+plugins: memory[in], memory[out]
+imt_path[in]: /var/run/pmacct-eth0-in.pipe
+imt_path[out]: /var/run/pmacct-eth0-out.pipe \ No newline at end of file
diff --git a/recipes/pmacct/files/pmacct.init b/recipes/pmacct/files/pmacct.init
new file mode 100644
index 0000000000..fe72bb8d15
--- /dev/null
+++ b/recipes/pmacct/files/pmacct.init
@@ -0,0 +1,39 @@
+#!/bin/sh
+
+PATH=/bin:/usr/bin:/sbin:/usr/sbin
+IFACES="eth0"
+PIPES="in out"
+
+case "$1" in
+ start)
+ echo -n "Starting pmacct daemon"
+ for iface in $IFACES; do
+ pmacctd -f /etc/pmacct/pmacct.conf.$iface
+ done
+ echo "."
+ ;;
+ stop)
+ echo -n "Stopping pmacct daemon"
+ killall -INT pmacctd
+ echo "."
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ ;;
+ show)
+ for iface in $IFACES; do
+ echo "= $iface ======================="
+ for pipe in $PIPES; do
+ echo "- $pipe -----------------------"
+ pmacct -s -p /var/run/pmacct-$iface-$pipe.pipe
+ done
+ done
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart|show}"
+ exit 1
+ ;;
+esac
+
+exit 0 \ No newline at end of file
diff --git a/recipes/pmacct/pmacct_0.7.9.bb b/recipes/pmacct/pmacct_0.7.9.bb
new file mode 100644
index 0000000000..06cbd9296a
--- /dev/null
+++ b/recipes/pmacct/pmacct_0.7.9.bb
@@ -0,0 +1,28 @@
+DESCRIPTION = "Promiscuous mode IP Accounting package"
+HOMEPAGE = "http://www.ba.cnr.it/~paolo/pmacct/"
+LICENSE = "GPLv2"
+DEPENDS = "libpcap"
+PR = "r2"
+
+SRC_URI = "http://www.ba.cnr.it/~paolo/pmacct/pmacct-${PV}.tar.gz \
+ file://pmacct.init \
+ file://pmacct.conf.eth0"
+
+inherit autotools
+
+# Without this it'll check for the headers in /usr/include
+EXTRA_OECONF = "--with-pcap-includes=${STAGING_INCDIR}"
+
+do_configure () {
+ oe_runconf
+}
+
+do_install() {
+ autotools_do_install
+ install -d ${D}${sysconfdir}/init.d/
+ install -d ${D}${sysconfdir}/pmacct
+ install -m 755 ${WORKDIR}/pmacct.init ${D}${sysconfdir}/init.d/pmacct
+ install -m 644 ${WORKDIR}/pmacct.conf.eth0 ${D}${sysconfdir}/pmacct
+}
+
+CONFFILES_${PN}_nylon = "${sysconfdir}/pmacct/pmacct.conf.eth0"